%------------------- DIRECT PARAMETER MAPPING FOR ----------------------
%---------------------       LineShapeKin   -----------------------------
%   setup module
%
%-- version 2.0 
%
% 3/24/08
% Written by Evgenii Kovrigin, Medical College of Wisconsin

% Exploration of the parameter interdependence for a given experimental
% data with their corresponding signal/noise, number and spacing of
% titration points, Kd, Koff and line shapes
%


%-- Enter here the conversion function for parameters so real parameter
%    value will be fun(x) through feval(params.funct{index},x). This
%    convertsion function only used for conversion of parameter sets made
%    of grid values.
DPMparams.funct={ 'pwr10','pwr10','linear'};



%-- Enter here inverse function to the above

DPMparams.inverse_funct={'log10','log10','linear'};



%-- this is the physical range of parameter values under study (min  max) --

DPMparams.range= [     -9  -2 ;  0.001  4  ;  Model.w0_B*0.995 Model.w0_B*1.005 ];
%DPMparams.range= [     -9  -2 ;  0.001  4  ;  Model.w0_B*0.9999 Model.w0_B*1.0001 ];



%--- number of grid points for each parameter testing

DPMparams.grid_points= [50 50 50];
%DPMparams.grid_points= [20 20 10];  %-- very quick test grid


% We visualize parameter sets on the basis of their how their SSD falls
% into the buckets defined by SSD compared to  minSSD*SSD_level  

DPMparams.SSD_levels=[1  1.1 1.5 2 3];  



%--- colors for plotting corresponding to the above limits
%  'c.' means  'cyan',   dot  means small  filled circle -   the MatLab
%  convention for plot() function. Lowest SSD_level goes on top of every
%  one in case of overlap and so on.

DPMparams.SSD_levels_colors={ 'c.' 'b.' 'g.' 'm.' 'k.' };  


                                                     
%-- SSD_level_toshow is a maximum SSD for the parameter set to be
%    considered 'comparable to the best fit'. These parameter sets get
%    plotted on a graph and saved in the plain text output file

DPMparams.SSD_level_toshow=DPMparams.SSD_levels(2);  %-- this is a multiplier for minSSD to consider other solutions 
                                        %    to be considered equally good


%---- YOU ARE DONE. 
% go to setup.m and set project_name to 'DPM single' or 'DPM individual', 
% DPM_mode to 'computation' or 'analysis' and issue 'main' on MATLAB
% command line.


