%----- Compare 2 models by Akaike's AICc  ----
% by Evgenii Kovrigin    3/27/08
% For details of model testing see  {Motulsky, 2004 #4251}
%
% I use the data from fitting of the same residue (or global fitting of the
% same group of residues) with 2 different models
%
% To use: 
%      - Run  individual and global fitting for a group of residues 
%         NOTE: make sure fits are reasonable!
%
%      - Fit_grid_ek.m saves the sum of resudual squares and number of points in
%         the files resname_SS.txt. Put these files into into the folders 1/ and 2/. 
%
%     - Put  residue name (individual or composite) into the variable below
%
%
%     - enter  number of fitting parameter as well
%
%      -  execute 'compare_2models.m'. Results are displayed and saved into plain
%      text file.


%=======    USER INPUT =======


%--- dataset name for testing two models on
%resname='S123_x_w2';
resname='Y92_x_w1'


%--- Model 1
Num_Fit_Pars_1=2;    
Folder_1='../1.Matlab_fitting.Koff_SF';

%--- Model 2
Num_Fit_Pars_2=3;   
Folder_2='../2.Matlab_fitting.Koff_Kd_SF';


%-- output file name
outfname='1.vs.2.txt';

%===== END OF USER INPUT =======


%-- NOW YOU CAN ISSUE 'compare_2models' ---

