function [Peq, Leq, PLeq]= simple_equilibrium(Ptot,Ltot,Kd)
% Calculation of the equilibrium concentrations for one-site binding
% process P+L=PL, where Ptot and Ltot are total concentrations of P and L
% expressed in the same units as Kd


            a=1;
            b=-(Ptot+Ltot+Kd);
            c=Ptot*Ltot;
            sola=-b/(2*a);
            solb=sqrt(b^2-(4*a*c))/(2*a);
            sol1=[(sola+solb) (sola-solb)];
            Peq=max(Ptot-sol1); %-- get positive solution
            PLeq=Ptot-Peq;
            Leq=Ltot-PLeq;
end