function intensity = spectrum(current_frequency, K, R2_vector, v_vector, p)
%------------------- LineShapeKin SPECTRUM -----------------------------
%-- version 3.0 
%
% 3/17/08
% Written by Evgenii Kovrigin, Medical College of Wisconsin
%
% R2 - relaxation rates of individual species, vector
% K   - rate matrix
% v - vector of frequencies (Hz) of individual species
% p - vector of mole fractions of individual species


N=length(p);

%-- build diagonal matrices of R2 and w0
R2=eye(N);
v0=eye(N);
for i=1:N
    R2(i,i)=R2_vector(i);
    v0(i,i)=v_vector(i);
end

% Calculate matrices
M1=R2-K-(2*pi*sqrt(-1)*v0);
M2=current_frequency *2*pi*sqrt(-1)*eye(N);

% Solve for intensity
intensity=real(sum(inv(M1+M2)*p'));  

